Greeting = { language = nil, text = nil }

function Greeting.Create(l, t)
	local o = Utils.ShallowCopy(Greeting)
	o.language = l
	o.text = t
	return o
end


Utils = {}

function Utils.ShallowCopy(table)
	newTable = {} -- new table if not given
	local inx = nil
	local val = nil
	repeat
		inx, val = next(table, inx)
		if val then newTable[inx] = val end
	until (inx == nil)
	return newTable
end
